Summary:       X.Org X11 font encoding library
Name:          libfontenc
Version:       1.1.4
Release:       3%{?dist}
License:       MIT
URL:           http://www.x.org
Source0:       https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: pkgconfig make zlib-devel
BuildRequires: xorg-x11-util-macros xorg-x11-proto-devel xorg-x11-font-utils

%description
X.Org X11 font encoding library

%package devel
Summary:        X.Org X11 font encoding development package
Requires:       %{name} = %{version}-%{release}

%description devel
X.Org X11 font encoding development package

%prep
%autosetup

%build
export CFLAGS="$RPM_OPT_FLAGS -Os"
%configure --disable-static --with-fontrootdir=%{_datadir}/X11/fonts
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete

%files
%license COPYING
%doc README.md ChangeLog
%{_libdir}/libfontenc.so.1
%{_libdir}/libfontenc.so.1.0.0

%files devel
%{_includedir}/X11/fonts/fontenc.h
%{_libdir}/libfontenc.so
%{_libdir}/pkgconfig/fontenc.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 19 2022 ZoeDong <zoedong@tencent.com> - 1.1.4-1
- Initial build

